# 📦 nbcat

cat for jupyter notebooks

[![License](https://img.shields.io/github/license/akopdev/nbcat)](./LICENSE)
[![Build](https://github.com/akopdev/nbcat/actions/workflows/ci.yml/badge.svg)](https://github.com/akopdev/nbcat/actions)

---

## 🚀 Features

- ✅ Clean, minimal API
- 🧰 Easily extensible
- 🧪 Fully tested and type-annotated
- ⚡ Fast and lightweight
- 📦 Available on PyPI

---

## 📦 Installation

Install with [uv](https://github.com/astral-sh/uv)

```bash
uv pip install nbcat
```

To install the latest development version:

```bash
uv pip install git+https://github.com/akopdev/nbcat.git
```

---

## 🛠️ Quickstart

```python
# example of using the package
```

For more examples, check out the [`examples/`](./examples/) folder.

---

## 🧪 Testing & Development

Run the tests:

```bash
make test
```

Check code quality:

```bash
make lint
```

Format code:

```bash
make format
```

---

## 🙌 Contributing

Contributions are welcome! Please open an issue or [pull request](https://github.com/akopdev/nbcat/pulls).

---

## 📄 License

Distributed under the MIT License. See [`LICENSE`](./LICENSE) for more information.

---

## 🔗 Useful Links

- 📘 Documentation: _coming soon_
- 🐛 Issues: [GitHub Issues](https://github.com/akopdev/nbcat/issues)
- 🚀 Releases: [GitHub Releases](https://github.com/akopdev/nbcat/releases)

---

> Made with ❤️ by [Akop Kesheshyan](https://github.com/akopdev)
